version: "3"

services:
  matting:
    image: registry.cn-hangzhou.aliyuncs.com/tuon-pub/matting-human
    container_name: matting
    ports:
      - 20201:20201
    volumes:
      - ./uploads:/app/uploads
      - ./outputs:/app/outputs
      - ./models:/app/models
    restart: always
    deploy:
      resources:
        limits:
          cpus: '1'
          memory: 2G
        reservations:
          cpus: '0.5'
          memory: 512M
